﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using AjaxJquery.Models;

namespace AjaxJquery.Controllers
{
    public class StudentController : Controller
    {
        AjaxJqueryContext db = new AjaxJqueryContext();

        [HttpGet]
        public ActionResult GetAllStudents()
        {
            var students = db.Students.ToList();
            return PartialView(students);
        }


        [HttpGet]
        public ActionResult Register()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Register(string firstName, string lastName, string mobile, int age)
        {
            db.Students.Add(new Student()
            {
                Name = firstName,
                Family = lastName,
                Phonenumber = mobile,
                Age = age
            });
            db.SaveChanges();
            return RedirectToAction("GetAllStudents");
        }
    }
}