﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace AjaxJquery.Models
{
    [Table("T_Students")]
    public class Student
    {
        [Key]
        public int StudentId { get; set; }


        [Display(Name="نام")]
        [Required]
        [MaxLength(20)]
        public string Name { get; set; }


        [Display(Name = "نام خانوادگی")]
        [Required]
        [MaxLength(30)] 
        public string Family { get; set; }


        [Display(Name = "شماره موبایل")]
        [Required]
        [MaxLength(15)] 
        public string Phonenumber { get; set; }


        [Display(Name = "سن")]
        [Required]
        public int Age { get; set; }
    }
}